package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.Greening;
import com.lightinit.hsdatashow.entity.GreeningExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface GreeningMapper {
    long countByExample(GreeningExample example);

    int deleteByExample(GreeningExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Greening record);

    int insertSelective(Greening record);

    List<Greening> selectByExampleWithBLOBs(GreeningExample example);

    List<Greening> selectByExample(GreeningExample example);

    Greening selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Greening record, @Param("example") GreeningExample example);

    int updateByExampleWithBLOBs(@Param("record") Greening record, @Param("example") GreeningExample example);

    int updateByExample(@Param("record") Greening record, @Param("example") GreeningExample example);

    int updateByPrimaryKeySelective(Greening record);

    int updateByPrimaryKeyWithBLOBs(Greening record);

    int updateByPrimaryKey(Greening record);
}